# Syntax

## Remove security by Id.

```
DELETE /v{version}/users/{userId}/watchlists/{watchlistId}/securities/{securityId}
```

### Description

This API endpoint enables you to remove a security from an existing watchlist by providing the security’s internal identifier in Autoshares Trader.

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema          | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | --------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string          |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string          |         |
| **Path**   | **securityId**   *required*    | This is the internal identifier of the security that is to be removed from the watchlist.                                                   | integer (int32) |         |
| **Path**   | **userId**   *required*        | This is the internal identifier of the user whose watchlist needs to be modified.                                                           | integer (int32) |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string          | `"1"`   |
| **Path**   | **watchlistId**   *required*   | This is the internal identifier of the watchlist from which the security will be removed.                                                   | integer (int32) |         |

### Responses

| HTTP Code | Description                                                                                                                                                                                            | Schema                                                                                                                                  |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| **200**   | Successful request, JSON data containing the information about the user’s watchlists is returned (along with their corresponding securities if the resultIncludeSecurities parameter was set to true). | [WatchlistModel](/rest-api/trading-api/watchlists/remove-security-from-watchlist-by-id/watchlists_removesecuritybyid.md#watchlistmodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation.                                                                                                      | No Content                                                                                                                              |
| **403**   | The provided Et-App-Key is incorrect.                                                                                                                                                                  | No Content                                                                                                                              |
| **409**   | The security couldn’t be removed from the watchlist due to some conflict.                                                                                                                              | No Content                                                                                                                              |
| **422**   | A validation error occurred while processing the request.                                                                                                                                              | No Content                                                                                                                              |
| **500**   | Internal server error                                                                                                                                                                                  | No Content                                                                                                                              |

### Produces

* `application/json`
* `text/json`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/remove-security-from-watchlist-by-id/watchlists_removesecuritybyid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
